[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Fixing the lm-sensors/i2c mess

David Maze wrote:
lm-sensors 2.7.0 built sanely against i2c 2.6.x, right, so it works
with a stock 2.4.x kernel.  That particular version of lm-sensors has
the issue that the userspace library's ABI changed but the library
soname didn't (hence the libsensors-1debian1 package that existed for
a bit and plagued testing KDE users); I don't know whether it's the
same library as libsensors2 or not.

If it *is* the same userspace ABI as libsensors2, then that's *very good*. lm-sensors 2.7.0 (patched to build with gcc 3.x and to produce libsensors2) could be uploaded, without requiring userspace rebuilds. Then it would be upwards-compatible in userspace, while being backwards-compatible in kernelspace.

lm-sensors 2.8.0 could later be uploaded as a kernel-2.6-specific solution without requiring recompilation in userspace. :-)

That would rock, and would be all around an ideal solution. Please try to find out ASAP whether it is the same userspace ABI, because that would be the way to go.

Reply to: